%define oldmajor 1
%define major	 1.2
%define libname  %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary: 	A powerful implementation of MPI
Name:		openmpi
Version: 	1.4.2
Release: 	%mkrel 1
License: 	BSD
Group: 		Development/Other
Source0: 	http://www.open-mpi.org/software/ompi/v%{major}/downloads/openmpi-%{version}.tar.bz2
Patch0:		format_string.patch
Url: 		http://www.open-mpi.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	%{libname} = %{version}, %{develname} = %{version}
BuildRequires:	binutils-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gcc-gfortran
BuildRequires:	libibverbs-devel
BuildRequires:	libgomp-devel
BuildRequires:	numa-devel >= 2.0.2
BuildRequires:	torque-devel >= 2.3.7
BuildRequires:	zlib-devel
Conflicts:	mpich, mpich2, lam

%description
OpenMPI is a project combining technologies and resources from
several other projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in
order to build the best MPI library available.

This package contains all of the tools necessary to compile, link, and run
OpenMPI jobs.

%package -n %{libname}
Summary:	Shared libraries for OpenMPI
Group:		Development/Other
Provides:	lib%{name} = %{version}-%{release}
Obsoletes:	%mklibname %{name} %{oldmajor}

%description -n %{libname}
OpenMPI is a project combining technologies and resources from
several other projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in
order to build the best MPI library available.

This package contains the shared libraries needed by programs linked against
OpenMPI.

%package -n %{develname}
Summary:	Development files for OpenMPI
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel  = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %{name} %{oldmajor}
Obsoletes:	%mklibname -d %{name} %{major}
Conflicts:	lam-devel, mpich1-devel, mpich2-devel

%description -n %{develname}
OpenMPI is a project combining technologies and resources from
several other projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in
order to build the best MPI library available.

This package contains the libraries and header files needed to
compile applications against OpenMPI.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0 

%build

# Disable libtoolize because it messes up the generated libtool
# in OpenMPI 1.2:
%define __libtoolize /bin/true
%define _disable_ld_no_undefined 1
%configure2_5x --enable-shared --enable-static --with-threads=posix --with-tm
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std
%__rm -rf %{buildroot}%{_libdir}/debug
%__mv %{buildroot}%{_sysconfdir}/openmpi-totalview.tcl %{buildroot}%{_datadir}/openmpi/doc

%clean
%__rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files
%defattr(-, root, root, -)
%doc README LICENSE NEWS AUTHORS examples/
%config(noreplace) %{_sysconfdir}/*
%{_datadir}/openmpi
%{_bindir}/*
%{_mandir}/man1/*
# TODO: these files should be placed in a better place (e.g. in %{_datadir}/openmpi (fix Makefiles?))
%{_datadir}/FILTER.SPEC
%{_datadir}/GROUPS.SPEC
%{_datadir}/METRICS.SPEC
%{_datadir}/vtcc-wrapper-data.txt
%{_datadir}/vtcxx-wrapper-data.txt
%{_datadir}/vtf77-wrapper-data.txt
%{_datadir}/vtf90-wrapper-data.txt
%dir %{_datadir}/vampirtrace
%dir %{_datadir}/vampirtrace/doc
%{_datadir}/vampirtrace/doc/ChangeLog
%{_datadir}/vampirtrace/doc/LICENSE
%{_datadir}/vampirtrace/doc/UserManual.html
%{_datadir}/vampirtrace/doc/UserManual.pdf
%{_datadir}/vampirtrace/doc/opari/ChangeLog
%{_datadir}/vampirtrace/doc/opari/LICENSE
%{_datadir}/vampirtrace/doc/opari/Readme.html
%{_datadir}/vampirtrace/doc/opari/lacsi01.pdf
#%{_datadir}/vampirtrace/doc/opari/lacsi01.ps.gz
%{_datadir}/vampirtrace/doc/opari/opari-logo-100.gif
%{_datadir}/vampirtrace/doc/otf/ChangeLog
%{_datadir}/vampirtrace/doc/otf/LICENSE
%{_datadir}/vampirtrace/doc/otf/otftools.pdf
%{_datadir}/vampirtrace/doc/otf/specification.pdf

%files -n %{libname} 
%defattr(-, root, root, -)
%{_libdir}/*.so.*
%{_libdir}/%{name}/*.so

%files -n %{develname}
%defattr(-, root, root, -)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.mod
%{_libdir}/%{name}/*.la
%{_libdir}/*.a
%{_libdir}/%{name}/*.a
%{_mandir}/man3/*
%{_mandir}/man7/*


%changelog
* Tue Jul 13 2010 Lev Givon <lev@mandriva.org> 1.4.2-1mdv2011.0
+ Revision: 552955
- Update to 1.4.2.
- Remove openmpi-1.4 tarball.

* Tue Feb 09 2010 Antoine Ginies <aginies@mandriva.com> 1.4.1-1mdv2010.1
+ Revision: 502743
- lacsi01.ps no more available
- release 1.4.1

* Thu Dec 10 2009 Funda Wang <fwang@mandriva.org> 1.4-1mdv2010.1
+ Revision: 476108
- new version 1.4

* Wed Dec 02 2009 Funda Wang <fwang@mandriva.org> 1.3.4-1mdv2010.1
+ Revision: 472481
- new version 1.3.4

* Thu Jul 23 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.3.3-2mdv2010.0
+ Revision: 398758
- rebuild against torque 2.3.7
- ditch INSTALL from installed files, remove redundant 'LICENSE' from list

* Wed Jul 22 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.3.3-1mdv2010.0
+ Revision: 398705
- new release: 1.3.3

* Wed Jul 01 2009 Lev Givon <lev@mandriva.org> 1.3.2-1mdv2010.0
+ Revision: 391293
- Update to 1.3.2.
  Fix format string compilation errors.

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Remove papi-devel from BuildRequires as requires PAPI 3.6 from http://icl.cs.utk.edu/papi/.
    - Add missed flex, bison, openmp and zlib-devel to BuildRequires.
    - Replace libnumactl-devel with numactl-devel in BuildRequires.
    - Use libnumactl-devel >= 2.0.2 in BuildRequires (otherwise it's not detected correctly).
    - Update to release 1.3.1.
    - Add binutils-devel, libibverbs-devel, libnumactl-devel, papi-devel to BuildRequires.
    - /etc/* files marked as %%config(noreplace).

* Thu Oct 23 2008 Lev Givon <lev@mandriva.org> 1.2.8-1mdv2009.1
+ Revision: 296763
- Update to 1.2.8.
  Build against torque.

* Wed Sep 03 2008 Lev Givon <lev@mandriva.org> 1.2.7-1mdv2009.0
+ Revision: 279369
- Update to 1.2.7.

* Sun Jul 20 2008 Funda Wang <fwang@mandriva.org> 1.2.6-1mdv2009.0
+ Revision: 238856
- disable undefined linking
- New version 1.2.6

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Jan 26 2008 Giuseppe Ghibò <ghibo@mandriva.com> 1.2.5-2mdv2008.1
+ Revision: 158330
- Enable static libraries.

* Wed Jan 09 2008 Lev Givon <lev@mandriva.org> 1.2.5-1mdv2008.1
+ Revision: 147333
- Update to 1.2.5.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 25 2007 Lev Givon <lev@mandriva.org> 1.2.4-2mdv2008.1
+ Revision: 102121
- Update to adhere to new devel library naming policy.
  Obsolete old versions of libopenmpi properly.
- Update to 1.2.4.

* Thu Jul 26 2007 Lev Givon <lev@mandriva.org> 1.2.3-2mdv2008.0
+ Revision: 56047
- Make openmpi package depend on devel package; the
  mpi* utilities need the header files in /usr/include to actually
  compile anything.

* Mon Jul 02 2007 Lev Givon <lev@mandriva.org> 1.2.3-1mdv2008.0
+ Revision: 47183
- Update to 1.2.3.

* Mon May 21 2007 Lev Givon <lev@mandriva.org> 1.2.2-1mdv2008.0
+ Revision: 29465
- Update to 1.2.2.

* Thu May 10 2007 Lev Givon <lev@mandriva.org> 1.2.1-1mdv2008.0
+ Revision: 26036
- Update to 1.2.1.

* Wed Apr 18 2007 Lev Givon <lev@mandriva.org> 1.2-1mdv2008.0
+ Revision: 14311
- Update to 1.2.
  Rearrange package contents.


* Mon Feb 12 2007 Lev Givon <lev@mandriva.org> 1.1.4-1mdv2007.0
+ Revision: 119014
- Update to 1.1.4.

* Mon Jan 29 2007 Lev Givon <lev@mandriva.org> 1.1.3-2mdv2007.1
+ Revision: 115137
- Install default hostfile in location expected by orted.

* Mon Jan 29 2007 Lev Givon <lev@mandriva.org> 1.1.3-1mdv2007.1
+ Revision: 114811
- Update to 1.1.3.

* Fri Jan 26 2007 Lev Givon <lev@mandriva.org> 1.1.2-1mdv2007.1
+ Revision: 113575
- Import openmpi

* Thu Jan 25 2007 Lev Givon <lev@mandriva.org> 1.1.2-1mdv2007.0
- Package for Mandriva.

